Bug 1150296 - Update "No Available Workers" docs in troubleshooting guide
Summary: Update "No Available Workers" docs in troubleshooting guide
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.6.0
Assignee: Brian Bouterse
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 20:55 UTC by Brian Bouterse
Modified: 2015-02-28 22:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:38:42 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 569 0 None None None Never

Description Brian Bouterse 2014-10-07 20:55:40 UTC
The "No Available Workers" section of the troubleshooting doc [0] is out of date with a change that was made in 2.5.1. With 2.5.1 there is no way the user will encounter this exception.

Proposal: This section should be reworked, but left mostly the same. With 2.5.1 if the user does not have pulp_celerybeat, pulp_workers, or pulp_resource_manager setup correctly their tasks will be created, but will stall at the waiting state. This section should no longer talk about the NoAvailableWorkers section and instead talk about tasks stalling.

[0]: https://pulp-user-guide.readthedocs.org/en/latest/troubleshooting.html#no-available-workers

Comment 1 Brian Bouterse 2014-10-15 15:30:21 UTC
PR available at: https://github.com/pulp/pulp/pull/1239

Comment 2 Brian Bouterse 2014-10-20 19:06:34 UTC
Merged to 2.5-dev -> master

Comment 3 Chris Duryee 2014-12-23 20:52:24 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 4 Brian Bouterse 2015-02-28 22:38:42 UTC
Moved to https://pulp.plan.io/issues/569


Note You need to log in before you can comment on or make changes to this bug.